<?php declare(strict_types=1);

namespace Kilo;

class Syntax {
	public const HIGHLIGHT_NUMBERS = (1 << 0);
	public const HIGHLIGHT_STRINGS = (1 << 1);

	public string $filetype = '';
	public array $filematch = [];
	public string $singleLineCommentStart = '//';

	public int $flags = 0;

	public static function new(string $name, array $extList, string $slcs, int $flags): self
	{
		$self = new self();

		$self->filetype = $name;
		$self->filematch = $extList;

		$self->singleLineCommentStart = '//';

		$self->flags = $flags;

		return $self;
	}

	private function __construct() {}
}